BEGIN{OK=0;}
/^gfd/{
    OK=1; 
    next;
}
## (OK==1) { 
/^[1-9] /{
    chunk=$2; 
    chk_reads=$4; 
    chk_writes=$6; 
    OK=2; 
    next;
}
/[0-9][0-9]:[0-9][0-9]:[0-9][0-9]/{
    if (OK == 2) {
        reads = $2;
        rd_svc = $4;
        writes = $5;
        wr_svc = $7;
	if ((reads > 1000 && rd_svc > 0.010) || (writes > 1000 && wr_svc > 0.010)) {
	    print "Chunk ", chunk, "At: ", $1;
	}
        if (reads > 1000 && rd_svc > 0.010) {
	    printf "\tRead Service %7.5f on %d reads.\n", rd_svc, reads;
        }
        if (writes > 1000 && wr_svc > 0.010) {
	    printf "\tWrite Service %7.5f on %d writes.\n", wr_svc, writes;
        }
        next;
    }
}
/^AIO/{ 
    OK=0; 
    next;
}
