#!/usr/bin/ksh

if [[ $# -eq 0 ]]; then
    echo "Usage: $0 <files | - >"
    echo ""
    echo "Process files from onstat -g ioh and report any long service times."
    echo "Pass a dash to process output from a live onstat run directly."
    exit 1;
fi
dir=$( dirname $0 )
if [[ $1 != "-" ]]; then
for file in $*; do
    awk -f $dir/io_review.awk $file
    echo ""
    echo ""
done
else
    onstat -g ioh | awk -f $dir/io_review.awk
fi
